/* eslint-disable no-restricted-imports */
import type { Entry } from "../utils";
import { findOneEntry } from "../utils";
import { ForbiddenError } from "../utils/error";

export const isPublishAllowed = async (arg: Entry) => {
	const { uid: slug, id: collectionId } = arg;
	const hasEntry = await findOneEntry({ uid: slug, id: collectionId ?? "" });
	const isNoEntry = Object.keys(hasEntry).length === 0;
	if (isNoEntry) {
		throw new ForbiddenError("review stage required");
	}
	const isApproved = `${hasEntry.stage}`.toLowerCase() === "approved";
	if (!isApproved) {
		throw new ForbiddenError("You can't publish if not approved.");
	}
	return isApproved;
};
